/*
 * parallelplugin.h
 * by Boris LESNER <boris@lesner.org>
 * basic parallel port manipulation functions
 * please note that this file is not specifically intended
 * for use with squeak, it's been desingned for general purpose
 * Released under GNU/LGPL license
 */


char *bin_to_str(unsigned int num, int n);
int open_port(char *device);
void close_port(void);
int read_data(unsigned char *data);
int write_data(unsigned char data);
int read_control(unsigned char *ctl);
int write_control(unsigned char ctl);
int read_status(unsigned char *status);

char* getModuleName();
int shutdownModule();
